Subject: Re: Submodule commits not show by git log

From: Jens Lehmann <[email-masked]>
Date: Fri, 24 Feb 2012 21:45:48 +0100

Am 23.02.2012 17:49, schrieb Wilfred Hughes:
> Hi all,
> 
> I'm trying to track changes on a git submodule. `$ git log
> path/to/submodule` is not showing any commits that changed the
> submodule commit.
> 
> For example, in my repo I have a submodule at the path
> ./memcache_utils that has had the commit referenced changed several
> times. It's definitely a submodule:
> 
> $ git submodule
> 
> 13eb087304b995705693d6f0927dec2d88dfadaf datastore_utils
> (heads/master-2-g13eb087)
>  7f5d6710b767a27f14e3e7bc009f026b3e5f0e74 memcache_utils (heads/master)
>  5877e2c2d82645fa44f121884291ee48cf24584d potatobase (5877e2c)
> 
> Yet the only commit shown is when there were files at that path:
> 
> $ git log memcache_utils
> commit 2cbe65bf31901873b01331e95fec72724e7458eb
> Author: [...]
> Date:   Thu Jan 26 20:44:07 2012 +0000
> 
>     Experimenting with Paul G's port of cache-machine. It should
> really be a git submodule but just want to see how it works so have
> taken a copy from [...]
> $
> 
> Have I missed something? I've tried and failed to create a minimal
> test case that demonstrates this behaviour. I can't see anything in
> the man pages to suggest that I'm using git log incorrectly, and
> Googling doesn't help.
> 
> Is this user error, a known bug, or a new one?

That is strange, I can't reproduce your problem here. It would be
great if you could give me access to your repo (you can also mail
me privately if you don't want to disclose the repo to the public).
And what version of git are you using?